Material Buckets
Alle Operationen rund um Material Buckets.
Datenmodell
Die Endpoints dieses Moduls arbeiten auf folgender Entität. Die Schema-Referenz listet jedes Feld mit Typ, Validierung und Beziehungen:
| Entität | Schema-ID | Felder | Sequenz | Permissions |
|---|---|---|---|---|
| Material Bucket | material_bucket |
17 | — | material_bucket_* |
Endpoints
| Methode | Pfad | Operation | Beschreibung |
|---|---|---|---|
POST |
/v1/material_buckets |
Create material_bucket | Create a new material_bucket in the active tenant. |
DELETE |
/v1/material_buckets/{id} |
Delete material_bucket | Soft delete entity. |
GET |
/v1/material_buckets/{id} |
Get material_bucket by id | Fetch a single material_bucket. |
GET |
/v1/material_buckets/{id}/linked |
Get linked entities | CodeMeta OS API endpoint. |
GET |
/v1/material_buckets/{id}/timeline |
Get timeline | CodeMeta OS API endpoint. |
GET |
/v1/material_buckets/{id}/transitions |
List transitions | CodeMeta OS API endpoint. |
GET |
/v1/material_buckets |
List material_buckets | List material_buckets for the active tenant. |
PATCH |
/v1/material_buckets/{id} |
Patch material_bucket | JSON Merge Patch update. |
POST |
/v1/material_buckets/bulk |
Bulk operation | CodeMeta OS API endpoint. |
POST |
/v1/material_buckets/{id}/transition |
POST /v1/material_buckets/{id}/transition | CodeMeta OS API endpoint. |
POST |
/v1/material_buckets/{id}/transitions/{transitionKey} |
Execute transition | CodeMeta OS API endpoint. |
PUT |
/v1/material_buckets/{id} |
Replace material_bucket | Full replace with optimistic locking. |